# __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare > Class Template Reference

Stable unguarded _LoserTree variant storing pointers. More...

Inheritance diagram for __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >:
[legend]

List of all members.

## Public Member Functions

- _LoserTreePointerUnguarded (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
- void __delete_min_insert (const _Tp &__key, bool __sup)
- int __get_min_source ()
- void __init ()
- unsigned int __init_winner (unsigned int __root)
- void __insert_start (const _Tp &__key, int __source, bool)

## Protected Attributes

- _Compare _M_comp
- unsigned int _M_ik
- unsigned int _M_k
- _Loser * _M_losers
- unsigned int _M_offset

## Detailed Description

### template<bool __stable, typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >

Stable unguarded _LoserTree variant storing pointers.

Unstable variant is implemented below using partial specialization.

Definition at line 868 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h